commit:     86ade42f2d3030a8bd03da8e55f66b4bb6a76304
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 31 19:17:43 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Jul 31 19:46:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86ade42f

net-ftp/pure-ftpd: Bump to version 1.0.43

Package-Manager: portage-2.3.0
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-ftp/pure-ftpd/Manifest                         |   1 +
 net-ftp/pure-ftpd/files/pure-ftpd-1.0.28-pam.patch |   4 +-
 net-ftp/pure-ftpd/pure-ftpd-1.0.43.ebuild          | 144 +++++++++++++++++++++
 3 files changed, 147 insertions(+), 2 deletions(-)

diff --git a/net-ftp/pure-ftpd/Manifest b/net-ftp/pure-ftpd/Manifest
index 24b1204..9c0dbe9 100644
--- a/net-ftp/pure-ftpd/Manifest
+++ b/net-ftp/pure-ftpd/Manifest
@@ -1,3 +1,4 @@
 DIST pure-ftpd-1.0.40.tar.bz2 495141 SHA256 
004dd4e991537f100fb6cdcdcd43460ed49847aefb60bc4577466839de95aa20 SHA512 
26a9918ddb298a6fd2b684e88173466b351671ad9b5c702796fabd1a7b0abb52fefcd3537b9d17210468d7f2efc80e4c881fc60dd3c9c73dcbed5f46e59e4420
 WHIRLPOOL 
09d6d5fed066a5c0cfb4801e1827770cd3d909dbf85e627c30c583ca0999dd3ec44a1528004db12ccbb232d22e263a4f742f2785a111d255db0007a097146f7d
 DIST pure-ftpd-1.0.41.tar.bz2 496457 SHA256 
1d48f650f366b8151d86b86c79f4bb874e95143bdac0e767038eda832d28a010 SHA512 
d63fb4f245dc2f1115447de3861f1a805712fb432c461e21b5739e1bae35da9d1367d5e7f54609f2fd5c3064e8d3853dd513a6684166300f1c72a60a79fddd21
 WHIRLPOOL 
a0ed31b912e83f07c1f3814f47f7514a22db0e5fd699a890a4640fd36b053e491a93a15fe0a8b721ce08389a2727acc0928994c495c341bbfdfc5453d5d4af31
 DIST pure-ftpd-1.0.42.tar.bz2 496652 SHA256 
efd11295998453e31dbeef9159624beabbac2643a338134ae8c2ef529aa2ec10 SHA512 
730ece22ce9a8562c5da6063de2b99404fbc0d0fa0b591383c319a762ea33cec74239474bcb56606b7af254dd76e31154f27a745df0c619932c9b8b4f150bc9c
 WHIRLPOOL 
bcbcd32fcfe10741f214559f7051bca302addc9bdc0a90a24e33a53c8103199a2eb40ea65e314fc66c59a47a479bd6774e332f4898d750c90b6dbf1bee01bcec
+DIST pure-ftpd-1.0.43.tar.bz2 496391 SHA256 
1289a094c7b5675132cefd1383472d6cab60e757ee75ff3b2687072e8d7df7b2 SHA512 
1fff6a9bc8585c0bf1bb354ca7531744338a2e7899234de62c2d4ad0bab8de9c142e350533fcdd669bf519fbfc625b6a21733924a09ad3136863cf145e7ce822
 WHIRLPOOL 
4c12e2fd0398eedc187cd8e791b6ca2f4dbc0c99671cc97e3698f4bf7ea5ddb5f903a052b075387fde1f6854abf8a8e0b9ff7bad50dff5c10c86ff632df55536

diff --git a/net-ftp/pure-ftpd/files/pure-ftpd-1.0.28-pam.patch 
b/net-ftp/pure-ftpd/files/pure-ftpd-1.0.28-pam.patch
index 209cd94..8346cf2 100644
--- a/net-ftp/pure-ftpd/files/pure-ftpd-1.0.28-pam.patch
+++ b/net-ftp/pure-ftpd/files/pure-ftpd-1.0.28-pam.patch
@@ -1,5 +1,5 @@
---- src/log_pam.c
-+++ src/log_pam.c
+--- a/src/log_pam.c
++++ b/src/log_pam.c
 @@ -49,7 +49,7 @@
  # endif
  

diff --git a/net-ftp/pure-ftpd/pure-ftpd-1.0.43.ebuild 
b/net-ftp/pure-ftpd/pure-ftpd-1.0.43.ebuild
new file mode 100644
index 0000000..5fca0c3
--- /dev/null
+++ b/net-ftp/pure-ftpd/pure-ftpd-1.0.43.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils confutils flag-o-matic
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+DESCRIPTION="Fast, production-quality, standard-conformant FTP server"
+HOMEPAGE="http://www.pureftpd.org/";
+SRC_URI="ftp://ftp.pureftpd.org/pub/${PN}/releases/${P}.tar.bz2
+       http://download.pureftpd.org/pub/${PN}/releases/${P}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0"
+
+IUSE="anondel anonperm anonren anonres caps charconv implicittls ldap libressl 
mysql noiplog pam paranoidmsg postgres resolveids selinux ssl sysquota vchroot 
xinetd"
+
+REQUIRED_USE="implicittls? ( ssl )"
+
+DEPEND="caps? ( sys-libs/libcap )
+       charconv? ( virtual/libiconv )
+       ldap? ( >=net-nds/openldap-2.0.25 )
+       mysql? ( virtual/mysql )
+       pam? ( virtual/pam )
+       postgres? ( dev-db/postgresql:= )
+       ssl? (
+               !libressl? ( >=dev-libs/openssl-0.9.6g:0=[-bindist] )
+               libressl? ( dev-libs/libressl:= )
+       )
+       sysquota? ( sys-fs/quota[-rpc] )
+       xinetd? ( virtual/inetd )"
+
+RDEPEND="${DEPEND}
+       dev-libs/libsodium:=
+       net-ftp/ftpbase
+       selinux? ( sec-policy/selinux-ftp )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.0.28-pam.patch
+)
+
+src_configure() {
+       # adjust max user length to something more appropriate
+       # for virtual hosts. See bug #62472 for details.
+       sed -e "s:# define MAX_USER_LENGTH 32U:# define MAX_USER_LENGTH 127U:" \
+               -i "${S}/src/ftpd.h" || die "sed failed"
+
+       local my_conf=""
+
+       # Let's configure the USE-enabled stuff
+       enable_extension_without        "capabilities"          "caps"
+       enable_extension_with           "rfc2640"               "charconv"      
        0
+       enable_extension_with           "ldap"                  "ldap"          
        0
+       enable_extension_with           "mysql"                 "mysql"         
        0
+       enable_extension_with           "pam"                   "pam"           
        0
+       enable_extension_with           "paranoidmsg"           "paranoidmsg"   
        0
+       enable_extension_with           "pgsql"                 "postgres"      
        0
+       enable_extension_with           "tls"                   "ssl"           
        0
+       enable_extension_with           "implicittls"           "implicittls"   
        0
+       enable_extension_with           "virtualchroot"         "vchroot"       
        0
+       enable_extension_with           "sysquotas"             "sysquota"      
        0
+       enable_extension_without        "inetd"                 "xinetd"
+
+       # noiplog is a negative flag, we don't want that enabled by default,
+       # so we handle it manually, as confutils can't do that
+       use noiplog && my_conf+=" --without-iplogging"
+
+       # Those features are only configurable like this, see bug #179375.
+       use anondel && append-cppflags -DANON_CAN_DELETE
+       use anonperm && append-cppflags -DANON_CAN_CHANGE_PERMS
+       use anonren && append-cppflags -DANON_CAN_RENAME
+       use anonres && append-cppflags -DANON_CAN_RESUME
+       use resolveids && append-cppflags -DALWAYS_RESOLVE_IDS
+
+       # Do not auto-use SSP -- let the user select this.
+       export ax_cv_check_cflags___fstack_protector_all=no
+
+       econf \
+               --with-altlog \
+               --with-cookie \
+               --with-diraliases \
+               --with-extauth \
+               --with-ftpwho \
+               --with-language=${PUREFTPD_LANG:=english} \
+               --with-peruserlimits \
+               --with-privsep \
+               --with-puredb \
+               --with-quotas \
+               --with-ratios \
+               --with-throttling \
+               --with-uploadscript \
+               --with-virtualhosts \
+               --enable-largefile \
+               ${my_conf}
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       dodoc AUTHORS CONTACT ChangeLog FAQ HISTORY INSTALL README* NEWS
+
+       newconfd "${FILESDIR}/pure-ftpd.conf_d-3" ${PN}
+
+       if use implicittls ; then
+               sed -i '/^SERVER/s@21@990@' "${ED}"/etc/conf.d/${PN} \
+                       || die "Adjusting default server port for implicittls 
usage failed!"
+       fi
+
+       newinitd "${FILESDIR}/pure-ftpd.rc11" pure-ftpd
+
+       dodir /var/lib/run/${PN}
+
+       if use xinetd ; then
+               insinto /etc/xinetd.d
+               newins "${FILESDIR}/pure-ftpd.xinetd" pure-ftpd
+       fi
+
+       if use ldap ; then
+               insinto /etc/openldap/schema
+               doins pureftpd.schema
+               insinto /etc/openldap
+               insopts -m 0600
+               doins pureftpd-ldap.conf
+       fi
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               # This is a new installation
+               elog
+               elog "Before starting Pure-FTPd, you have to edit the 
/etc/conf.d/pure-ftpd file!"
+               elog
+               ewarn "It's *really* important to read the README provided with 
Pure-FTPd!"
+               ewarn "Check out 
http://download.pureftpd.org/pub/pure-ftpd/doc/README for general info"
+               ewarn "and 
http://download.pureftpd.org/pub/pure-ftpd/doc/README.TLS for SSL/TLS info."
+               ewarn
+               if use charconv ; then
+                       ewarn "Charset conversion is an *experimental* feature!"
+                       ewarn "Remember to set a valid charset for your 
filesystem in the configuration!"
+               fi
+       fi
+}

Reply via email to